commit - 15cd19198260b38236da4164929010671f02e626
commit + 0952bc0ae884782cff9729f9cc72b01610708e97
blob - e02805abc467b2efc5e0501d6d0f6e264acc8dc5
blob + cb5bd5e7c666b52844ca8ad2e457245ddba8d897
--- README
+++ README
- lemmyverse - find lemmy communities
- llama - prompt a large language model
- precis - summarise text
+- rfc - read IETF RFC documents
- webpaste - create a web paste on webpaste.olowe.co
- ws - web search
- xstream - stream X display over the network
blob - /dev/null
blob + 2589d3363c810e96457b3079b975696b335db9ba (mode 755)
--- /dev/null
+++ bin/rfc
+#!/bin/sh
+
+name=rfc$1.txt
+url=https://www.rfc-editor.org/rfc/$name
+mkdir -p $HOME/.cache/rfc
+cache=$HOME/.cache/rfc/$name
+if ! test -f $cache
+then
+ curl -s $url > $cache
+fi
+/usr/local/plan9/bin/9 B $cache
blob - /dev/null
blob + c686122eb6dff3535bf244f4a4c008df31dcddc6 (mode 644)
--- /dev/null
+++ man/rfc.1
+.Dd
+.Dt RFC 1
+.Sh NAME
+.Nm rfc
+.Nd read IETF RFC documents
+.Sh SYNOPSIS
+.Nm
+.Ar number
+.Sh DESCRIPTION
+.Nm
+opens the given numbered RFC in the editor
+via a
+.Xr plumb 7
+message.
+The plain text version from rfc-editor.org is downloaded
+and stored in the user cache directory
+.Pa $HOME/.cache/rfc
+for faster subsequent reads.